/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.jfree;

import java.awt.Shape;

import org.dive4elements.river.themes.ThemeDocument;

import org.jfree.data.time.TimeSeries;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class StyledTimeSeries extends TimeSeries implements StyledSeries {

    private Style style;

    public StyledTimeSeries(String key, ThemeDocument theme) {
        super(key);
        setStyle(new XYStyle(theme));
    }
    
    public StyledTimeSeries(String key, ThemeDocument theme, Shape shape) {
        super(key);
        setStyle(new XYStyle(theme, shape));
    }

    @Override
    public void setStyle(Style style) {
        this.style = style;
    }

    @Override
    public Style getStyle() {
        return style;
    }
}